Skip to main content
GET
Get latest wires
The news wires, or newswire, is a near-realtime aggregated news feed curated by human financial professionals and enhanced by our AI models.
  • The news are based on public news outlets
  • Our AI generates and attaches an eye-catching cover image
  • After that it identifies and tags any trading tickers mentioned in the content
  • Then it determines the ‘importance’ of the news and marks accordingly so that API consumers could emphasize it to their end-users
The data is pushed very often, many times a minute. The endpoint supports filtering by stock symbol, industry or category. For performance reasons, this endpoint does not expose content body, please use info to get the content by id

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your key. Get the key here

Query Parameters

tab
string
default:all

Filter by news category, can be one of the following values:

tickers
string

US stock market ticker symbols, e.g. AAPL, TSLA, etc. You can specify multiple ticker symbols separated by commas. If not specified, return all.

industry
string

Filter by industry, can be one of the following values:

start_id
string

Used for paging. If specified, return the latest items earlier than this id. If not specified, return the latest items from now.

Example:

"US_FLASH786892"

size
integer
default:10

Number of items to return. Default is 10, maximum is 50.

Required range: 1 <= x <= 50

Response

200 - application/json

An array of news headline structures

data
object
status_code
number

Status code, 0 for success

status_msg
string

Status message, success for success